GET
/integration/v1/users/{user_id}/assignments/learning_paths/progress
Find LP progress for user
Find LP progress for user
operationId Find LP progress for user
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
user_id
|
string (uuid) | required | User id |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
progress_status
|
string | optional | Progress status enum: `not_started`, `passed`, `viewed`, `in_progress`, `all` |
Responses
200
application/json body
| Field | Type | Required | Description |
|---|---|---|---|
(array)
|
array | optional | Assignments data |
learningPathAssignmentId
|
string | required | Learning path assignment id |
learningPathId
|
string | required | Learning path id |
studentId
|
string | required | Student id |
groupId
|
string | optional | Group id |
groupName
|
string | optional | Group name |
toAll
|
integer | required | To all flag |
assignedDate
|
string | required | Learning path assigned date |
progressStatus
|
string | required | Learning path progress status enum: `not_started`, `passed`, `viewed`, `in_progress`, `all` |
title
|
string | required | Learning path title |
description
|
string | required | Learning path description |
totalCoursesTotalDuration
|
string | optional | Total courses total duration |
currentTotalDuration
|
string | optional | Current total duration |
passedCourses
|
integer | required | Number of passed courses |
progress
|
integer | required | Learning path progress |
totalCourses
|
integer | required | Total number of courses |
hasRecurringSettings
|
integer | required | Has recurring settings flag |
courses
|
array | optional | Courses progress data |
progress
|
integer | optional | Course progress percentage |
course_id
|
string | required | Course id |
title
|
string | optional | Course title in the course default language |
description
|
string | optional | Course description in the course default language |
startDate
|
string | optional | Course start date |
passedDate
|
string | optional | Course passed date |
viewedDate
|
string | optional | Course viewed date |
courseFormat
|
string | required | Course format |
totalDuration
|
integer | required | Course total duration |
lessonProgress
|
array | optional | Lesson progress data |
lessonId
|
string | required | Lesson id |
progress
|
string | required | Lesson progress status enum: `not_started`, `passed`, `viewed`, `in_progress`, `all` |
chapterId
|
string | required | Chapter id |
lessonName
|
string | required | Lesson name |
lessonType
|
string | required | Lesson type |
lessonSubtype
|
string | required | Lesson subtype |
runtimeSeconds
|
integer | required | Lesson runtime seconds |
progressStatus
|
string | required | Course progress status enum: `not_started`, `passed`, `viewed`, `in_progress`, `all` |
412 Invalid parameters
500 Server error
512 Specification violations